package domain


type AlibabaRetailMarketingItemdiscountSkuQuerySkuActivityElementDTO struct {
    /*
        营销活动ID     */
    ActId  *int64 `json:"act_id,omitempty" `

    /*
        操作人ID     */
    CreatorId  *string `json:"creator_id,omitempty" `

    /*
        操作人姓名     */
    CreatorName  *string `json:"creator_name,omitempty" `

    /*
        商品编码     */
    SkuCode  *string `json:"sku_code,omitempty" `

    /*
        商品条码     */
    BarCode  *string `json:"bar_code,omitempty" `

    /*
        商品限购     */
    Limit  *AlibabaRetailMarketingItemdiscountSkuQueryLimitDTO `json:"limit,omitempty" `

    /*
        减钱金额(分为单位)     */
    DecreaseMoney  *int64 `json:"decrease_money,omitempty" `

    /*
        打几折 例如9折，该值为 900     */
    DiscountRate  *int64 `json:"discount_rate,omitempty" `

    /*
        一口价金额 -- (分为单位)     */
    FixPriceMoney  *int64 `json:"fix_price_money,omitempty" `

}

func (s *AlibabaRetailMarketingItemdiscountSkuQuerySkuActivityElementDTO) SetActId(v int64) *AlibabaRetailMarketingItemdiscountSkuQuerySkuActivityElementDTO {
    s.ActId = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountSkuQuerySkuActivityElementDTO) SetCreatorId(v string) *AlibabaRetailMarketingItemdiscountSkuQuerySkuActivityElementDTO {
    s.CreatorId = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountSkuQuerySkuActivityElementDTO) SetCreatorName(v string) *AlibabaRetailMarketingItemdiscountSkuQuerySkuActivityElementDTO {
    s.CreatorName = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountSkuQuerySkuActivityElementDTO) SetSkuCode(v string) *AlibabaRetailMarketingItemdiscountSkuQuerySkuActivityElementDTO {
    s.SkuCode = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountSkuQuerySkuActivityElementDTO) SetBarCode(v string) *AlibabaRetailMarketingItemdiscountSkuQuerySkuActivityElementDTO {
    s.BarCode = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountSkuQuerySkuActivityElementDTO) SetLimit(v AlibabaRetailMarketingItemdiscountSkuQueryLimitDTO) *AlibabaRetailMarketingItemdiscountSkuQuerySkuActivityElementDTO {
    s.Limit = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountSkuQuerySkuActivityElementDTO) SetDecreaseMoney(v int64) *AlibabaRetailMarketingItemdiscountSkuQuerySkuActivityElementDTO {
    s.DecreaseMoney = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountSkuQuerySkuActivityElementDTO) SetDiscountRate(v int64) *AlibabaRetailMarketingItemdiscountSkuQuerySkuActivityElementDTO {
    s.DiscountRate = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountSkuQuerySkuActivityElementDTO) SetFixPriceMoney(v int64) *AlibabaRetailMarketingItemdiscountSkuQuerySkuActivityElementDTO {
    s.FixPriceMoney = &v
    return s
}
